- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# eos_lag_interfaces – Manages link aggregation groups on Arista EOS devices

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages attributes of link aggregation groups on Arista EOS devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config list / elements=dictionary |  | A list of link aggregation group configurations.
| members list / elements=dictionary |  | Ethernet interfaces that are part of the group.
|  | member string |  | Name of ethernet interface that is a member of the LAG.
|  | mode string | Choices: active on passive | LAG mode for this interface.
| name string / required |  | Name of the port-channel interface of the link aggregation group (LAG) e.g., Port-Channel5.
state string | Choices: merged ← replaced overridden deleted | The state of the configuration after module completion.

## Notes

Note

- Tested against Arista EOS 4.20.10M

- This module works with connection `network_cli`. See the EOS Platform Options.

## Examples

    ---

    # Using merged

    # Before state:
    # -------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    #   channel group 5 mode on
    # interface Ethernet2

    - name: Merge provided LAG attributes with existing device configuration
      eos_lag_interfaces:
        config:
          - name: 5
            members:
              - member: Ethernet2
                mode: on
        state: merged

    # After state:
    # ------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    #   channel group 5 mode on
    # interface Ethernet2
    #   channel group 5 mode on

    # Using replaced

    # Before state:
    # -------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    #   channel group 5 mode on
    # interface Ethernet2

    - name: Replace all device configuration of specified LAGs with provided configuration
      eos_lag_interfaces:
        config:
          - name: 5
            members:
              - member: Ethernet2
                mode: on
        state: replaced

    # After state:
    # ------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    # interface Ethernet2
    #   channel group 5 mode on

    # Using overridden

    # Before state:
    # -------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    #   channel group 5 mode on
    # interface Ethernet2

    - name: Override all device configuration of all LAG attributes with provided configuration
      eos_lag_interfaces:
        config:
          - name: 10
            members:
              - member: Ethernet2
                mode: on
        state: overridden

    # After state:
    # ------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    # interface Ethernet2
    #   channel group 10 mode on

    # Using deleted

    # Before state:
    # -------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    #   channel group 5 mode on
    # interface Ethernet2
    #   channel group 5 mode on

    - name: Delete LAG attributes of the given interfaces.
      eos_lag_interfaces:
        config:
          - name: 5
            members:
              - member: Ethernet1
        state: deleted

    # After state:
    # ------------
    #
    # veos#show running-config | section interface
    # interface Ethernet1
    # interface Ethernet2
    #   channel group 5 mode on

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after list | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before list | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['command 1', 'command 2', 'command 3']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nathaniel Case (@Qalthos)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.